{ config, lib, pkgs, ... } :
with lib;
let
  cfg = config.local.apps.editors;
in
{
  options.local.apps.editors.enable = mkEnableOption "Text editors";

  imports = [ ./vscode ];

  config = mkIf cfg.enable {
    local.apps.editors.vscode.enable = mkDefault true;

    programs = {
      neovim.enable = true; 
      helix.enable = true;
    };
  };

}
