{config, lib, pkgs, ...} :
with lib;
let
  cfg = config.local.apps.editors.vscode;
in
{
  options.local.apps.editors.vscode.enable = mkEnableOption "VSCodium";
  
  config = mkIf cfg.enable {
    home.packages = [ pkgs.rust-analyzer ];
    programs.vscode = {
      enable = true;
      package = pkgs.vscodium;
      mutableExtensionsDir = false;
      extensions = attrValues (pkgs.callPackage ./extensions.nix {}).extensions;
      userSettings = import ./settings.nix;
    };
  };
}
